

## INSTRUCTION FOR INSTALLATION:
## 1) SET ROOT DIRECTORY 
## 2) SET PATHS TO FFTW3 
## 3) SET PATHS TO X11  
  

### ROOT DIRECTORY
FLUMIROOT = /Users/patrickheas/Prog/Prog_C/DEMO/Heas_SIAMJIS_2014/

#---use FFTW lib
#---------------
  #-define fftw3 info for compiler
  FFTW3OPTION = '-Dcimg_use_fftw3'
  FFTW3_DIR = /usr/local
  FFTW3INCLUDE = $(FFTW3_DIR)/include
  FFTW3LIB = $(FFTW3_DIR)/lib/libfftw3.a

#---group CIMG options
#----------------------
CIMGOPTIONSFLAG = $(FFTW3OPTION)
CIMGOPTIONSINCLUDE = $(CIMGOPTIONSFLAG) -I $(FFTW3INCLUDE)
CIMGOPTIONSLIB = $(FFTW3LIB)

############################################
#									LIBRARIES
############################################				
###X11
X11PATH = /usr/X11R6
X11FLAGS = -I$(X11PATH)/include
X11LIB = -L$(X11PATH)/lib64 -lX11
###CIMG
CIMGINCLUDE = $(CIMGOPTIONSINCLUDE) -I $(FLUMIROOT)/CImg -I$(X11PATH)/include -I/System/Library/Frameworks/vecLib.framework/Headers
CIMGLIB = $(CIMGOPTIONSLIB) -L$(X11PATH)/lib -lX11 -lpthread -framework Accelerate
###LBFGS
LBFGSINCLUDE = -I  $(FLUMIROOT)/liblbfgs-1.8/include/
LBFGSLIB = $(FLUMIROOT)/liblbfgs-1.8/lib/.libs/liblbfgs.a -lm


###SPLINES
SPLINES_DIR = $(FLUMIROOT)/SplineDouble/trunk
SPLINESINCLUDE = -I$(SPLINES_DIR)/include
SPLINESLIB = $(SPLINES_DIR)/lib/lib_splinedouble.a
###OPFLOWTOOLS
OFT = libopflowtools.a 
OFT_DIR = $(FLUMIROOT)/OpFlowTools/trunk
OFTINCLUDE = -I$(OFT_DIR)/include
OFTLIB = $(OFT_DIR)/lib/$(OFT) $(NCLIB)
###DAUBECHIES
DAUB = libdaubechies.a
DAUB_DIR = $(FLUMIROOT)/Daubechies/trunk
DAUBINCLUDE = -I$(DAUB_DIR)/include
DAUBLIB = $(DAUB_DIR)/lib/$(DAUB)
